Skip to main content

Agenda Members

List

Retrieve the identifiers of an agenda's members along with their role and contact details.

GET /v2/agendas/{agendaUID}/members

In Brief

  • agendaUID is the unique identifier of the agenda where the members are referenced
  • Read authentication or access token authentication is required.
  • The authenticated user must be a moderator or administrator of the agenda

Pagination

KeyTypeDescription
afterintegerKey to provide to retrieve the next set. It is given in the response of the last received call
limitintegerDefines the number of members retrieved per call. Default value: 20. Maximum possible value: 100

Response

KeyTypeDescription
totalintegerThe total number of members
itemsobject[]The list of members
afterintegerValue to include in the next call to retrieve the next segment of members

For each item in the provided list, the following information is given.

KeyTypeDescription
uidintegerMember identifier
namestringUsername or name
emailemailMember's email
phonephonePhone number
organizationstringRepresented organization
rolestringMember's role: administrator, moderator, contributor

Invite

Invite users to become members of an agenda.

POST /v2/agendas/{agendaUID}/members/invite

The following information must be placed in the request body:

  • role: Required. Possible values are contributor, moderator, administrator
  • emails: List of emails to invite
  • message: Optional. The invitation message in markdown format.

Response

KeyTypeDescription
queuedintegerThe total number of invitations to process. Beyond a certain number of emails, processing moves to a background task
processedobject[]The list of invited members

Example of an invited member

{
"userUid": null,
"deletedUser": false,
"name": null,
"phone": null,
"email": "gaetan.la@tou.ch",
"position": null,
"organization": null,
"role": "moderator",
}